Skip to main content
GET
Get liquidity transfers

Overview

This endpoint lists your liquidity transfers: transfers between settlement accounts (INTERNAL) and withdrawals to safeguarding accounts (SAFEGUARDING), including those created by automatic liquidity.

Transfer Information

  • Transfer type, amount and currency
  • Debtor and creditor accounts and their payment schemes
  • Status and timestamps
  • Linked transactions: adjustmentTransactionIds for bookings on your settlement accounts, paymentTransactionId for the payment created by a withdrawal or an EKS transfer
See Liquidity management for the meaning of each status.

Query Parameters

limit
integer<int32>
default:10

A limit on the number of objects returned per page. The default is 10 items.

Required range: 1 <= x <= 100
offset
integer<int32>
default:0

Specifies the starting position for retrieving items in paginated results. The default is 0 items.

Required range: x >= 0
id
integer<int64>

A filter by liquidity transfer request ID.

debtorAccount
string

A filter by debtor account.

creditorAccount
string

A filter by creditor account.

status
enum<string>

A filter by liquidity transfer request status. Multiple values are supported e.g. status=CREATED&status=COMPLETED

Available options:
CREATED,
SENT_TO_CLEAR,
ACCEPTED,
REJECTED,
COMPLETED
createdFrom
string<date-time>

A filter by liquidity transfer request date time from (ISO-8601 format).

Example:

"2023-10-24T12:00:00Z"

createdTo
string<date-time>

A filter by liquidity transfer request date time to (ISO-8601 format).

Example:

"2023-10-24T12:00:00Z"

transferType
enum<string>[]

A filter by liquidity transfer type. Multiple values are supported e.g. transferType=INTERNAL&transferType=SAFEGUARDING. Defaults to INTERNAL.

Available options:
INTERNAL,
SAFEGUARDING
sort
object
required

A sort by liquidity transfer request id field

Response

Returned liquidity transfers

meta
object
required

Result metadata.

result
object[]
required

List of found transactions for provided filters.

Last modified on October 8, 2026